let MAIN = null;
let MENU = null;
let SCENE = null;

let CONNECTED = false;
let SOCKET = null;
let CONTEXT = {
    Scene: null,
    Auth: null,
    Data: null,
};

const Status = {
    Ok: 0,
    Error: 1,
    NotImplement: 2,

    BadHandle: 1,
    BadSecret: 2,
    BadCode: 3,
};

const OpCode = {
    Register       :0x0010,
    Authenticate   :0x0011,
    Resume         :0x0012,
    Deauthenticate :0x0013,

    SessionList    :0x0020,
    SessionCreate  :0x0021,
    SessionJoin    :0x0022,

    GameState      :0x0030,
};

const GameState = {
    Joinable :0x00,
    Ongoing  :0x01,
    Complete :0x02,
};
