fn handle_packet(data:&Vec<u8>) -> Result<Vec<u8>,()>
{
    use game::protocol::{
        prelude::*,
        code::*,
        packet::*,
    };

    let response = Vec::<u8>::new();
    let mut status = STATUS_OK;

    let mut index = 2;
    if data.len() < 2 { return Err(()); }
    match ((data[0] as u16) << 8) + data[1] as u16 {
        CODE_AUTH => {
            status = STATUS_BAD;

            match PacketAuth::decode(data, index) {
                Ok(data) => {
                    // check if handle exists

                    status = STATUS_OK;
                }
                Err(_) => { }
            }
        }

        CODE_REGISTER => {

        }

        CODE_RESUME => {

        }

        CODE_EXIT => {

        }

        CODE_LIST_GAME => {

        }

        CODE_LIST_OPEN => {

        }

        CODE_LIST_LIVE => {

        }

        CODE_JOIN => {

        }

        CODE_SPECTATE => {

        }

        CODE_LEAVE => {

        }

        CODE_RETIRE => {

        }

        CODE_PLAY => {

        }
        
        _ => {
            status = STATUS_NOT_IMPL;
        }
    }

    Ok([
        pack_u16(status),
        response,
    ].concat())
}
