use game::Game;

pub type SessionToken = [u8; 8];
pub type SessionSecret = [u8; 8];

pub struct Viewer {
    pub connection:Option<u32>,
    pub user:Option<u32>,
}

pub struct Session {
    pub key:SessionToken,
    pub secret:SessionSecret,

    pub game:Game,

    pub p_dawn:Viewer,
    pub p_dusk:Viewer,
    pub viewers:Vec<Viewer>,

    pub chain_id:usize,
}
